package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.MensajePuntoVenta;

public class RenderMensajePuntoVenta implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		MensajePuntoVenta mensajePuntoVenta = (MensajePuntoVenta) o;

		Listcell lc = new Listcell(mensajePuntoVenta.getPuntoVenda().getPuntoventaId().toString());
		lc.setParent(lstm);

		lc = new Listcell(mensajePuntoVenta.getPuntoVenda().getNombpuntoventa());
		lc.setParent(lstm);

		lstm.setAttribute("data", mensajePuntoVenta);
	}

}
